ranges::iota_fn Struct Reference
Numerics

## Public Member Functions

template<typename Rng , typename T >
CPP_TEMPLATE_AUX_0 | b (requires output_range< Rng, T const & > &&weakly_incrementable< T >) bbborrowed_iterator_t< Rng > operator()(Rng &&rng
template<typename O , typename S , typename T >
CPP_TEMPLATE_AUX_0 | O (requires output_iterator< O, T const & > &&sentinel_for< S, O > &&weakly_incrementable< T >) OOO operator()(O first

## Public Attributes

CPP_TEMPLATE_AUX_0 S T val | const
CPP_TEMPLATE_AUX_0 T val | const
return | first
CPP_TEMPLATE_AUX_0 S | last

## Member Data Documentation

## const [1/2]

CPP_TEMPLATE_AUX_0 S T val ranges::iota_fn::const

Initial value:
{
for(; first != last; ++first, ++val)
*first = detail::as_const(val)

## const [2/2]

CPP_TEMPLATE_AUX_0 T val ranges::iota_fn::const

Initial value:
{
return (*this)(begin(rng), end(rng), detail::move(val))
ranges::begin
constexpr _begin_::fn begin
Definition: access.hpp:182
ranges::end
constexpr _end_::fn end
Definition: access.hpp:313
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52